Create BP Record

POST /ws/rest/service/v1/bp/record/{project_number}

Purpose:

Create a record in a specific BP in a shell based on shell number or from Company level if project/shell number is not provided.

To avoid errors and maintain data integrity when using multiple DEs with the same field label, ensure that the applicable DEs have the same direction—Input, Output, or Both—or that the combinations of Both/Output or Input/Output are not used.

The input JSON shall provide various options to be considered for fetching the data.

Input:

All parameters should be URL encoded.

Path Parameter

project_number: Specify the Project number in which the records exists, if not provided then records are considered to be from Company Level.

POST body is a JSON

Note: POST call has input & output both as JSON in the body.

{

"options": {

"bpname": "Vendors",

"workflow_details":

{

"workflow_name": "workflow_name",

"user_name" : "first_name last_name",

"action_name" : "action_name"

}

},

"data": [

{

"record_no":"hello",

"uuu_user_id": "a@abc.com",

"uuu_record_last_update_date": "04-12-2018",

"uveFaxTB16": null,

"uveCertificateNoTB64": null,

"uvePrimaryContactTB64": "a",

"title": "v-00101",

"uveLicenseNoTB16": null,

"uuu_contact_company": "v-00101",

"uveCOIAmoutCA": 0,

"_bp_lineitems": [

{

"uirCntctFstNmTB": "a",

"uuu_user_workphone": null,

"uuu_tab_id": "List of Contacts",

"title": "t",

"ugenAddress1TXT120": null,

"ugenAddress2TXT120": null,

"ugenCountryPD": null,

"ugenCityTXT50": null,

"short_desc": "Vendor Contact",

"uriCntctLstNmTB": "b",

"ugenStatePD": null,

"ugenZipCodeTXT16": null,

"uveEmailTB120": "hello@abc.com",

"ugenAddress3TXT120": null

}

],

"uvePolicyNoTB32": null,

"uveVendorTypePD": "Architect",

"ugenCityTXT50": null,

"uveCoiExpDOP": null,

"uuu_dm_publish_path": "v_path",

"uuu_contact_last_name": "b",

"ugenZipCodeTXT16": null,

"uveEmailTB120": "a@abc.com",

"ugenAddress3TXT120": null,

"uveReferenceIdTB16": null,

"uuu_creation_date": "04-12-2018",

"ugenRemarksTB4000": null,

"uvePhoneTB64": null,

"uveTaxIDTB16": null,

"uveMinorityBusCB": 0,

"uveInsuranceCoTB32": null,

"ugenExpirationDateDOP": null,

"uveWomanOwnedCB": 0,

"uveVendorNameTB50": "v-00101",

"ugenAddress1TXT120": null,

"uveDisadvantagedBusCB": 0,

"ugenDiscipline": null,

"creator_id": "Company Administrator",

"ugenAddress2TXT120": null,

"ugenCountryPD": null,

"uveVendorIDTB16": "v-00101",

"ugenStatePD": null,

"uuu_contact_first_name": "a",

"status": "Active"

}

]

}

If "record_no" is not provided then auto-generated record_no will be assigned to record, If unique "record_no" is provided then record will be created be given record_no.

Output:

JSON object containing 'status', 'data', 'message.'

A message will be present if status is not 200.

Status codes are:

1> 200 OK , if all creation succeeds .

2> 3000 , If any of records creation fail.

Create BP Sample Response

{

"data": [],

"message": [

{

"_record_status": "success",

"uuu_user_id": "a@abc.com",

"uuu_record_last_update_date": "04-12-2018",

"uveFaxTB16": null,

"uveCertificateNoTB64": null,

"uvePrimaryContactTB64": "a",

"title": "v-00101",

"uveLicenseNoTB16": null,

"uuu_contact_company": "v-00101",

"uveCOIAmoutCA": 0,

"_bp_lineitems": [

{

"uirCntctFstNmTB": "a",

"uuu_user_workphone": null,

"uuu_tab_id": "List of Contacts",

"title": "t",

"ugenAddress1TXT120": null,

"ugenAddress2TXT120": null,

"ugenCountryPD": null,

"ugenCityTXT50": null,

"short_desc": "Vendor Contact",

"uriCntctLstNmTB": "b",

"ugenStatePD": null,

"ugenZipCodeTXT16": null,

"uveEmailTB120": "hello@abc.com",

"ugenAddress3TXT120": null

}

],

"uvePolicyNoTB32": null,

"record_no": "hello",

"_attachment": [

{

"file_name": "new 1.txt"

}

],

"uveVendorTypePD": "Architect",

"ugenCityTXT50": null,

"uveCoiExpDOP": null,

"uuu_dm_publish_path": "v_path",

"uuu_contact_last_name": "b",

"ugenZipCodeTXT16": null,

"uveEmailTB120": "a@abc.com",

"ugenAddress3TXT120": null,

"uveReferenceIdTB16": null,

"uuu_creation_date": "04-12-2018",

"ugenRemarksTB4000": null,

"uvePhoneTB64": null,

"uveTaxIDTB16": null,

"uveMinorityBusCB": 0,

"uveInsuranceCoTB32": null,

"ugenExpirationDateDOP": null,

"uveWomanOwnedCB": 0,

"uveVendorNameTB50": "v-00101",

"ugenAddress1TXT120": null,

"uveDisadvantagedBusCB": 0,

"ugenDiscipline": null,

"creator_id": "Company Administrator",

"ugenAddress2TXT120": null,

"ugenCountryPD": null,

"uveVendorIDTB16": "v-00101",

"ugenStatePD": null,

"uuu_contact_first_name": "a",

"status": "Active"

}

],

"status": 200

}

in case of any error :

{

"data": [],

"message": [

{

"_record_status": "Error Business Process record_no hello already exists. ",

"record": {

"uuu_user_id": "a@abc.com",

"uuu_record_last_update_date": "04-12-2018",

"uveFaxTB16": null,

"uveCertificateNoTB64": null,

"uvePrimaryContactTB64": "a",

"title": "v-00101",

"uveLicenseNoTB16": null,

"uuu_contact_company": "v-00101",

"uveCOIAmoutCA": 0,

"_bp_lineitems": [

{

"uirCntctFstNmTB": "a",

"uuu_user_workphone": null,

"uuu_tab_id": "List of Contacts",

"title": "t",

"ugenAddress1TXT120": null,

"ugenAddress2TXT120": null,

"ugenCountryPD": null,

"ugenCityTXT50": null,

"short_desc": "Vendor Contact",

"uriCntctLstNmTB": "b",

"ugenStatePD": null,

"ugenZipCodeTXT16": null,

"uveEmailTB120": "hello@abc.com",

"ugenAddress3TXT120": null

}

],

"uvePolicyNoTB32": null,

"record_no": "hello",

"_attachment": [

{

"file_name": "new 1.txt"

}

],

"uveVendorTypePD": "Architect",

"ugenCityTXT50": null,

"uveCoiExpDOP": null,

"uuu_dm_publish_path": "v_path",

"uuu_contact_last_name": "b",

"ugenZipCodeTXT16": null,

"uveEmailTB120": "a@abc.com",

"ugenAddress3TXT120": null,

"uveReferenceIdTB16": null,

"uuu_creation_date": "04-12-2018",

"ugenRemarksTB4000": null,

"uvePhoneTB64": null,

"uveTaxIDTB16": null,

"uveMinorityBusCB": 0,

"uveInsuranceCoTB32": null,

"ugenExpirationDateDOP": null,

"uveWomanOwnedCB": 0,

"uveVendorNameTB50": "v-00101",

"ugenAddress1TXT120": null,

"uveDisadvantagedBusCB": 0,

"ugenDiscipline": null,

"creator_id": "Company Administrator",

"ugenAddress2TXT120": null,

"ugenCountryPD": null,

"uveVendorIDTB16": "v-00101",

"ugenStatePD": null,

"uuu_contact_first_name": "a",

"status": "Active"

}

}

],

"status": 3000

}



Legal Notices | Your Privacy Rights
Copyright © 1998, 2025

Last Published Wednesday, February 18, 2026